## openjdk-11 11.0.12+7

=== debian/changelog ===
openjdk-11 (11.0.12+7-2) unstable; urgency=high

  * OpenJDK 11.0.12+7 build (release).
  * Security fixes:
    - JDK-8256157: Improve bytecode assembly.
    - JDK-8256491: Better HTTP transport.
    - JDK-8258432, CVE-2021-2341: Improve file transfers.
    - JDK-8260453: Improve Font Bounding.
    - JDK-8260960: Signs of jarsigner signing.
    - JDK-8260967, CVE-2021-2369: Better jar file validation.
    - JDK-8262380: Enhance XML processing passes.
    - JDK-8262403: Enhanced data transfer.
    - JDK-8262410: Enhanced rules for zones.
    - JDK-8262477: Enhance String Conclusions.
    - JDK-8262967: Improve Zip file support.
    - JDK-8264066, CVE-2021-2388: Enhance compiler validation.
    - JDK-8264079: Improve abstractions.
    - JDK-8264460: Improve NTLM support.
  * Encode the early-access status into the package version. LP: #1934895.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Jul 2021 09:03:54 +0200

openjdk-11 (11.0.12+6-1) unstable; urgency=medium

  * OpenJDK 11.0.12+6 build (early access).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Jul 2021 12:00:44 +0200

openjdk-11 (11.0.12+4-1) unstable; urgency=medium

  * OpenJDK 11.0.12+4 build (early access).
  * Don't apply the m68k-support patch, needs an update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 May 2021 11:37:31 +0200

openjdk-11 (11.0.11+9-1) unstable; urgency=high

  * OpenJDK 11.0.11+9 build (release).
  * Security fixes:
    - JDK-8244473: Contextualize registration for JNDI.
    - JDK-8244543: Enhanced handling of abstract classes.
    - JDK-8259633: compiler/graalunit/CoreTest.java fails with NPE
      after JDK-8244543.
    - JDK-8250568: Less ambiguous processing (CVE-2021-2161).
    - JDK-8253799: Make lists of normal filenames.
    - JDK-8261183: Follow on to Make lists of normal filenames.
    - JDK-8249906: Enhance opening JARs (CVE-2021-2163).
    - JDK-8258247: Couple of issues in fix for JDK-8249906.
    - JDK-8259428: AlgorithmId.getEncodedParams() should return copy.
    - JDK-8257001: Improve HTTP client support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Apr 2021 20:21:22 +0200

openjdk-11 (11.0.11+8-1) unstable; urgency=medium

  * OpenJDK 11.0.11+8 build (early access).
  * Set DEB_BUILD_MAINT_OPTIONS = optimize=-lto, not yet ready. Looks
    like 16 and 17 are buildable with lto.
  * Remove dangling jfr alternative on upgrades if no jdk is installed (Andreas
    Beckmann). Closes: #985060.
  * Use mktemp instead of tempfile in maintainer scripts (Andreas Beckmann).
  * Backport fix for JDK-8262085, hovering Metal HTML Tooltips in different
    windows cause IllegalArgExc on Linux. Closes: #967049.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Apr 2021 12:24:55 +0200

openjdk-11 (11.0.11+7-1) unstable; urgency=medium

  * OpenJDK 11.0.11+7 build (early access).
  * Simplify compiler selection for backports.
  * Don't use the triplet-prefixed binutils tools for backports.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Mar 2021 09:49:54 +0100

openjdk-11 (11.0.11+4-1) unstable; urgency=medium

  * OpenJDK 11.0.11+4 build (early access).
  * reproducible-build-jmod.diff: Fall back to the unpatched behavior
    for backports.
  * Only build with system harfbuzz for recent releases.
  * Configure --with-copyright-year. Closes: #956154.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 11:54:00 +0100

openjdk-11 (11.0.11+3-3) experimental; urgency=medium

  * Fix the build logic, jaotc and jhsdb tools not available on all archs.
  * Ship the jfc files used by jfr.
  * Move libawt_xawt.so, libjawt.so into the jre package. Closes: #908058.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Feb 2021 09:12:35 +0100

openjdk-11 (11.0.11+3-2) experimental; urgency=medium

  * OpenJDK 11.0.11+3 build (early access).
  * Use debugedit to generate unique build-id's and remove the openjdk-N-dbg
    file conflicts. Closes: #919671.
  * Remove KFreeBSD build support and patches, not updated since OpenJDK 8.
  * Backport JDK-8222825. Closes: #960153.
  * Build with Rules-Requires-Root: no.
  * Move the jfr binary from -jre-headless to -jdk-headless. Development tool.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2021 13:54:09 +0100

openjdk-11 (11.0.10+9-1) unstable; urgency=high

  * OpenJDK 11.0.10+9 build (release).
  * Security fixes:
    - JDK-8247619: Improve Direct Buffering of Characters.
  * Other changes:
    See https://mail.openjdk.java.net/pipermail/jdk-updates-dev/2021-January/004689.html
  * Update copyright years.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Jan 2021 10:42:16 +0100

openjdk-11 (11.0.10+8-1) unstable; urgency=medium

  * OpenJDK 11.0.10+8 build (early access).
  * Build with system harfbuzz.
  * Refresh patches.
  * Don't run the autopkg tests. There's no value running all the internal
    tests as an autopkg test, when these are already run during the build.
  * Update VCS attributes.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Dec 2020 13:50:32 +0100
