## openjdk-11 11.0.15+10

=== debian/changelog ===
openjdk-11 (11.0.15+10-11.2.0.lnd.2) unstable; urgency=medium

  * apply default-jvm-cfg.diff

 -- Ao Qi <aoqi@loongson.cn>  Thu, 11 Aug 2022 15:31:40 +0800

openjdk-11 (11.0.15+10-11.2.0.lnd.1) unstable; urgency=medium

  * 版本升级，由11.0.13+8升级至11.0.14+9
  * 版本升级，由11.0.14+9升级至11.0.15+10
  * [LoongArch] C1和分层编译支持，优化性能
  * [LoongArch] C2向量指令优化
  * [LoongArch] 优化GC停顿时间
  * [LoongArch] CRC32 Intrinsics优化
  * [LoongArch] 使用向量指令优化Array Copy
  * 优化ArrayFill
  * [LoongArch] 优化连续的membar
  * [LoongArch] 优化ReverseByte相关操作
  * [LoongArch] string equals优化
  * [LoongArch] 优化StringCoding.hasNegatives
  * [LoongArch] 优化Math.copySign
  * [LoongArch] 优化itable Stub
  * [LoongArch] AllocatePrefetch相关参数调优
  * [LoongArch] InlineSmallCode调优，默认值设为2000
  * 修复Redefine Class可能导致的偶发崩溃
  * 修复jvmti相关的随机错误
  * 修复push2/pop2入栈和出栈顺序问题
  * 修复Early Return可能导致浮点值恢复错误问题
  * 修复ori2s立即数越界问题

 -- Ao Qi <aoqi@loongson.cn>  Mon, 1 Aug 2022 11:43:32 +0800

openjdk-11 (11.0.13+8-11.1.0.lnd.1) unstable; urgency=medium

  * The first Loongson platform GA version based on OpenJDK 11
  * Corresponding to the community version 11.0.13+8

 -- Ao Qi <aoqi@loongson.cn>  Wed, 16 Feb 2022 10:46:48 +0800

openjdk-11 (11.0.12+7-11.0.2138.lnd.1) unstable; urgency=medium

  * The first Loongson platform EA version based on OpenJDK 11
  * Corresponding to the community version 11.0.12+7

 -- Ao Qi <aoqi@loongson.cn>  Sat, 23 Oct 2021 11:14:35 +0800

openjdk-11 (11.0.11+9-2.ea.20210603.lnd.1) unstable; urgency=medium

  * release ea-20210603 (3371f0116e)

 -- aoqi <aoqi@loongson.cn>  Tue, 08 Jun 2021 17:20:59 +0800

openjdk-11 (11.0.11+9-2.ea.20210602.lnd.1) unstable; urgency=medium

  * LoongArch64 and MIPS64 2nd round build

 -- aoqi <aoqi@loongson.cn>  Wed, 02 Jun 2021 14:24:51 +0800

openjdk-11 (11.0.11+9-2.ea.20210601.lnd.1) unstable; urgency=medium

  * LoongArch64 and MIPS64 initial support

 -- aoqi <aoqi@loongson.cn>  Tue, 01 Jun 2021 10:46:50 +0800

openjdk-11 (11.0.11+9-1~deb10u1) buster-security; urgency=medium

  * Rebuild for buster

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 21 Apr 2021 15:55:49 +0000
