## openjdk-11 11.0.16+8

=== debian/changelog ===
openjdk-11 (11.0.16+8-1~deb10u1) buster-security; urgency=medium

  * Rebuild for buster

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 21 Jul 2022 19:08:53 +0200

openjdk-11 (11.0.16+8-1) unstable; urgency=high

  * OpenJDK 11.0.16+8 build (release).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Jul 2022 10:54:16 +0200

openjdk-11 (11.0.15+10-1) unstable; urgency=high

  * OpenJDK 11.0.15+10 build (release).
  * Security fixes
    - JDK-8269938: Enhance XML processing passes redux.
    - JDK-8270504, CVE-2022-21426: Better XPath expression handling.
    - JDK-8272255: Completely handle MIDI files.
    - JDK-8272261: Improve JFR recording file processing.
    - JDK-8272594: Better record of recordings.
    - JDK-8274221: More definite BER encodings.
    - JDK-8275082, JDK-8278008, CVE-2022-21476: Update XML Security for Java
      to 2.3.0.
    - JDK-8275151, CVE-2022-21443: Improved Object Identification.
    - JDK-8277227: Better identification of OIDs.
    - JDK-8277672, CVE-2022-21434: Better invocation handler handling.
    - JDK-8278356: Improve file creation.
    - JDK-8278449: Improve keychain support.
    - JDK-8278798: Improve supported intrinsic.
    - JDK-8278805: Enhance BMP image loading.
    - JDK-8278972, CVE-2022-21496: Improve URL supports.
    - JDK-8281388: Change wrapping of EncryptedPrivateKeyInfo.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 May 2022 19:42:14 +0200

openjdk-11 (11.0.14.1+1-1) unstable; urgency=medium

  * OpenJDK 11.0.14.1+1 build (release).
    - Fix JDK-8218546. LP: #1966338.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Mar 2022 11:16:07 +0200
